#include "ferret.h"


#define DEFAULT_WIDTH	140
#define DEFAULT_HEIGHT	38


typedef struct {

	GList	*engines;
	gint	width;
	gint	height;
} Prefs;


gint save_session (GtkWidget *w, gchar *privcfgpath,
				   gchar *globcfgpath, gpointer data);
void set_use_engine (gchar *name, gint use);
gint user_prefs_contain_engine (gchar *name);
GList *get_preferred_engine_list();
gint load_prefs();
void save_prefs();
void create_default_preferences();
void dispose_prefs();
