#include <string.h>

#include "stringhash.h"


GHashTable *new_string_hashtable() {
	GHashTable *tab;
	tab = g_hash_table_new ( (GHashFunc)string_hashcode,
							 (GCompareFunc)string_compare );
	return tab;
}

guint string_hashcode (gconstpointer key) {
	gint offs = 0;
	guint hash = 0;
	gchar *keys = (gchar*)key;
	while (keys[offs++] != 0x00)
		hash += keys[offs];
	return hash;
}

gint string_compare (gconstpointer a, gconstpointer b) {
	gchar *as = (gchar*)a;
	gchar *bs = (gchar*)b;
	return (strcmp (as,bs) == 0);
}

