
#include "ferret.h"


typedef struct {

	gchar*	text;
	gchar*	delim;
	gint	delim_len;
	size_t	offset;

} Tokenizer, *TokenizerPtr;


TokenizerPtr new_tokenizer (gchar* text, gchar* delim);
gint has_more_tokens(TokenizerPtr tok);
gint count_tokens (TokenizerPtr tok);
gchar *next_token (TokenizerPtr tok);
gchar *remaining_text (TokenizerPtr tok);
void free_tokenizer(TokenizerPtr tok);
